Supported Browsers

Updated on August 11, 2021 Download PDFDownload as PDF
image_pdf

Building with the WalkMe Editor

Smart Walk-Thrus and other WalkMe items are created with the WalkMe Editor. Currently, you may build using the Chrome browser, and IE browser (beta).

  • Chrome 57 and later
  • IE 11 and later
  • Edge Chromium
  • Firefox (version 54 or later)

Read about Installing and setting up the WalkMe Editor.

Playing Published WalkMe Content

Once published and deployed, WalkMe can be accessed/played by your end-users from most modern browsers including:

  • Firefox (version 57 or later)
  • Google Chrome (version 51 or later)
  • Safari (version 9 or later for macOS 10.09, 10.10, and 10.11 and version 10 or later for macOS 10.12, 10.13, and 10.14)
  • Internet Explorer (version 10 or later for Windows 7 and version 11 for Windows 8, 8.1, and 10)
  • Edge Legacy (version 40.15063 or later, starting from Windows 10.1703)
  • Edge Chromium

What about Mobile Web?

Users can access and play your WalkMe solutions on their smartphones and tablets, too! There are no known issues with playing WalkMe on any of the commonly used mobile browsers, including:

  • Chrome
  • Safari
  • Android Internet

Limitations

  • Firefox (version 57 and later)
  • Edge Legacy (non-Chromium)

Was this article helpful?

Thanks for your feedback!

Related Articles

< Back